package cn.newfeifan.mall.module.distri.controller.admin.dailybill.vo;

import cn.newfeifan.mall.framework.common.pojo.PageParam;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;
import org.springframework.format.annotation.DateTimeFormat;

import java.time.LocalDate;
import java.time.LocalDateTime;

import static cn.newfeifan.mall.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

@Schema(description = "管理后台 - 每日账单分页 Request VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class DailyBillPageReqVO extends PageParam {

    @Schema(description = "订单数，默认为0", example = "27164")
    private Long orderCount;

    @Schema(description = "店铺ID", example = "11867")
    private Long shopId;

    @Schema(description = "商户ID", example = "22961")
    private Long merchantId;

    @Schema(description = "订单ID列表，文本类型")
    private String orderIds;

    @Schema(description = "创建时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private LocalDateTime[] createTime;

    @Schema(description = "积分")
    private Long integral;

    @Schema(description = "确收积分")
    private Long receivedIntegral;

    @Schema(description = "退款积分")
    private Long refundIntegral;

    @Schema(description = "订单所属日期")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private LocalDate[] orderCalcTime;
}