package cn.newfeifan.mall.module.distri.controller.admin.integralchangelog.vo;

import lombok.*;
import io.swagger.v3.oas.annotations.media.Schema;
import cn.newfeifan.mall.framework.common.pojo.PageParam;
import org.springframework.format.annotation.DateTimeFormat;
import java.time.LocalDateTime;

import static cn.newfeifan.mall.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

@Schema(description = "管理后台 - 平台积分变动记录分页 Request VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class IntegralChangeLogPageReqVO extends PageParam {

    @Schema(description = "用户ID", example = "19315")
    private Long userId;

    @Schema(description = "积分类型", example = "1")
    private Integer integralType;

    @Schema(description = "创建时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private LocalDateTime[] createTime;

    @Schema(description = "订单Id", example = "11076")
    private Long orderId;

    @Schema(description = "订单编号")
    private String orderNo;

    @Schema(description = "变动的积分")
    private Long integralPoints;

    @Schema(description = "变动后积分")
    private Long afterIntegralPoints;

    @Schema(description = "实际积分")
    private Long practicalIntegralPoints;

    @Schema(description = "变动峰值")
    private Long maxAvailablePointsAmount;

    @Schema(description = "变动后峰值")
    private Long afterMaxAvailablePointsAmount;

    @Schema(description = "超出团队奖")
    private Long accumulatedQuotaAmount;

    @Schema(description = "超出直推奖")
    private Long ancestorQuotaAmount;

    @Schema(description = "积分变动类型", example = "2")
    private Integer integralStatus;

    @Schema(description = "积分产生对象", example = "4055")
    private Long generateUserId;


}