package cn.newfeifan.mall.module.distri.controller.admin.integralchangelog.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;
import java.time.LocalDateTime;
import com.alibaba.excel.annotation.*;

@Schema(description = "管理后台 - 平台积分变动记录 Response VO")
@Data
@ExcelIgnoreUnannotated
public class IntegralChangeLogRespVO {

    @Schema(description = "日志编号", requiredMode = Schema.RequiredMode.REQUIRED, example = "306")
    @ExcelProperty("日志编号")
    private Long id;

    @Schema(description = "用户ID", example = "19315")
    @ExcelProperty("用户ID")
    private Long userId;

    @Schema(description = "积分类型", requiredMode = Schema.RequiredMode.REQUIRED, example = "1")
    @ExcelProperty("积分类型")
    private Integer integralType;

    @Schema(description = "创建时间", requiredMode = Schema.RequiredMode.REQUIRED)
    @ExcelProperty("创建时间")
    private LocalDateTime createTime;

    @Schema(description = "订单Id", example = "11076")
    @ExcelProperty("订单Id")
    private Long orderId;

    @Schema(description = "订单编号")
    @ExcelProperty("订单编号")
    private String orderNo;

    @Schema(description = "变动的积分", requiredMode = Schema.RequiredMode.REQUIRED)
    @ExcelProperty("变动的积分")
    private Long integralPoints;

    @Schema(description = "变动后积分", requiredMode = Schema.RequiredMode.REQUIRED)
    @ExcelProperty("变动后积分")
    private Long afterIntegralPoints;

    @Schema(description = "实际积分")
    @ExcelProperty("实际积分")
    private Long practicalIntegralPoints;

    @Schema(description = "变动峰值")
    @ExcelProperty("变动峰值")
    private Long maxAvailablePointsAmount;

    @Schema(description = "变动后峰值")
    @ExcelProperty("变动后峰值")
    private Long afterMaxAvailablePointsAmount;

    @Schema(description = "超出团队奖")
    @ExcelProperty("超出团队奖")
    private Long accumulatedQuotaAmount;

    @Schema(description = "超出直推奖")
    @ExcelProperty("超出直推奖")
    private Long ancestorQuotaAmount;

    @Schema(description = "积分变动类型", example = "2")
    @ExcelProperty("积分变动类型")
    private Integer integralStatus;

    @Schema(description = "积分产生对象", example = "4055")
    @ExcelProperty("积分产生对象")
    private Long generateUserId;

    private String generateUserName;
}
