package cn.newfeifan.mall.module.distri.controller.admin.integralchangelog.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;
import javax.validation.constraints.*;

@Schema(description = "管理后台 - 平台积分变动记录新增/修改 Request VO")
@Data
@Builder
public class IntegralChangeLogSaveReqVO {

    @Schema(description = "日志编号", requiredMode = Schema.RequiredMode.REQUIRED, example = "306")
    private Long id;

    @Schema(description = "用户ID", example = "19315")
    private Long userId;

    @Schema(description = "积分类型", requiredMode = Schema.RequiredMode.REQUIRED, example = "1")
    @NotNull(message = "积分类型不能为空")
    private Integer integralType;

    @Schema(description = "订单Id", example = "11076")
    private Long orderId;

    @Schema(description = "订单编号")
    private String orderNo;

    @Schema(description = "变动的积分", requiredMode = Schema.RequiredMode.REQUIRED)
    @NotNull(message = "变动的积分不能为空")
    private Long integralPoints;

    @Schema(description = "变动后积分", requiredMode = Schema.RequiredMode.REQUIRED)
    @NotNull(message = "变动后积分不能为空")
    private Long afterIntegralPoints;

    @Schema(description = "实际积分")
    private Long practicalIntegralPoints;

    @Schema(description = "变动峰值")
    private Long maxAvailablePointsAmount;

    @Schema(description = "变动后峰值")
    private Long afterMaxAvailablePointsAmount;

    @Schema(description = "超出团队奖")
    private Long accumulatedQuotaAmount;

    @Schema(description = "超出直推奖")
    private Long ancestorQuotaAmount;

    @Schema(description = "积分变动类型", example = "2")
    private Integer integralStatus;

    @Schema(description = "积分产生对象", example = "4055")
    private Long generateUserId;

}