package cn.newfeifan.mall.module.distri.dal.dataobject.integralchangelog;

import lombok.*;
import com.baomidou.mybatisplus.annotation.*;
import cn.newfeifan.mall.framework.mybatis.core.dataobject.BaseDO;

/**
 * 平台消费分变动记录 DO
 *
 * @author 非繁人
 */
@TableName("distri_integral_change_log")
@KeySequence("distri_integral_change_log") // 用于 Oracle、PostgreSQL、Kingbase、DB2、H2 数据库的主键自增。如果是 MySQL 等数据库，可不写。
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class IntegralChangeLogDO extends BaseDO {


    /**
     * 日志编号
     */
    @TableId
    private Long id;
    /**
     * 用户ID
     */
    private Long userId;
    /**
     * 积分类型
     */
    private Integer integralType;
    /**
     * 订单Id
     */
    private Long orderId;
    /**
     * 订单编号
     */
    private String orderNo;
    /**
     * 变动的积分
     */
    private Long integralPoints;
    /**
     * 变动后积分
     */
    private Long afterIntegralPoints;
    /**
     * 实际积分
     */
    private Long practicalIntegralPoints;
    /**
     * 变动峰值
     */
    private Long maxAvailablePointsAmount;
    /**
     * 变动后峰值
     */
    private Long afterMaxAvailablePointsAmount;
    /**
     * 超出团队奖
     */
    private Long accumulatedQuotaAmount;
    /**
     * 超出直推奖
     */
    private Long ancestorQuotaAmount;
    /**
     * 积分变动类型
     */
    private Integer integralStatus;
    /**
     * 积分产生对象
     */
    private Long generateUserId;


}