package cn.newfeifan.mall.module.distri.service.dailybill.dto;

import cn.newfeifan.mall.framework.mybatis.core.dataobject.BaseDO;
import lombok.Data;

import java.util.List;

@Data
public class OrderDTO extends BaseDO {
    /**
     * 订单编号，主键自增
     */
    private Long id;
    /**
     * 订单流水号
     * <p>
     * 例如说，1146347329394184195
     */
    private String no;

    /**
     * 用户id
     */
    private Long userId;

    /**
     * 购买的商品数量
     */
    private Integer productCount;
    /**
     * 商品原价，单位：分
     * <p>
     * <p>
     * 对应 taobao 的 trade.total_fee 字段
     */
    private Integer totalPrice;
    /**
     * 运费金额，单位：分
     */
    private Integer deliveryPrice;

    // ========== 售后基本信息 ==========
    /**
     * 售后状态
     */
    private Integer refundStatus;
    /**
     * 支付积分
     */
    private Long payIntegral;
    /**
     * 退还的使用的积分
     */
    private Long refundIntegral;

    private Long shopId;

    private Long merchantId;

    private List<OrderItemDTO> items;
}
